Bug 208667 - [NEW PORT] devel/sonar-scaner-cli: Launcher for analyzing projects with SonarQube
Summary: [NEW PORT] devel/sonar-scaner-cli: Launcher for analyzing projects with Sonar...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-10 10:38 UTC by Dušan Vejnovič
Modified: 2017-03-02 15:53 UTC (History)
1 user (show)

See Also:


Attachments
shar file for devel/sonar-scanner-cli (4.16 KB, text/plain)
2016-04-10 10:38 UTC, Dušan Vejnovič
no flags Details
poudriere build log for devel/sonar-scanner-cli (16.77 KB, text/plain)
2016-04-10 10:43 UTC, Dušan Vejnovič
no flags Details
shar file for devel/soanar-scanner-cli (5.96 KB, text/plain)
2017-01-14 19:03 UTC, Dušan Vejnovič
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dušan Vejnovič 2016-04-10 10:38:06 UTC
Created attachment 169137 [details]
shar file for devel/sonar-scanner-cli

The SonarQube Scanner is recommended as the default launcher to analyze a
project with SonarQube. The SonarQube Scanner allows you to perform source code
analyzes without using tools such as Ant or Maven. The SonarQube platform is an
open source quality management platform, dedicated to continuously analyzing and
measuring the technical quality of source code, from project portfolio down to
the method level. With the SonarQube Scanner, and also a tool like Jenkins,
everyone can analyze all kinds of languages, not just Java.

WWW: http://docs.sonarqube.org/display/SCAN/Analyzing+with+SonarQube+Scanner
Comment 1 Dušan Vejnovič 2016-04-10 10:43:07 UTC
Created attachment 169138 [details]
poudriere build log for devel/sonar-scanner-cli
Comment 2 Dušan Vejnovič 2017-01-14 19:03:02 UTC
Created attachment 178892 [details]
shar file for devel/soanar-scanner-cli
Comment 3 Dušan Vejnovič 2017-01-14 19:03:56 UTC
devel/sonar-scanner-cli: 2.5.1 -> 2.8
Comment 4 Palle Girgensohn freebsd_committer 2017-02-10 00:52:28 UTC
Committed. Thanks!
Comment 5 commit-hook freebsd_committer 2017-03-02 15:53:45 UTC
A commit references this bug:

Author: girgen
Date: Thu Mar  2 15:52:47 UTC 2017
New revision: 435247
URL: https://svnweb.freebsd.org/changeset/ports/435247

Log:
  Add sonar-scanner-cli

  The SonarQube Scanner is recommended as the default launcher to analyze a
  project with SonarQube. The SonarQube Scanner allows you to perform source code
  analyzes without using tools such as Ant or Maven. The SonarQube platform is an
  open source quality management platform, dedicated to continuously analyzing
  and measuring the technical quality of source code, from project portfolio down
  to the method level. With the SonarQube Scanner, and also a tool like Jenkins,
  everyone can analyze all kinds of languages, not just Java.

  WWW:	http://docs.sonarqube.org/display/SCAN/Analyzing+with+SonarQube+Scanner
  PR:	208667

Changes:
  head/devel/Makefile
  head/devel/sonar-scanner-cli/
  head/devel/sonar-scanner-cli/Makefile
  head/devel/sonar-scanner-cli/README.md
  head/devel/sonar-scanner-cli/distinfo
  head/devel/sonar-scanner-cli/files/
  head/devel/sonar-scanner-cli/files/pkg-message.in
  head/devel/sonar-scanner-cli/pkg-descr
  head/devel/sonar-scanner-cli/pkg-plist